Package net.rubygrapefruit.platform

# Interface FileEvents

All Superinterfaces:
  `NativeIntegration`

All Known Implementing Classes:
  `DefaultFileEvents`

public interface FileEvents extends NativeIntegration
Allows a directory or file to be monitored for changes.

## Method Summary

Modifier and Type
Method
Description
`FileWatch`
`startWatch(File target)`
Starts watching the specified directory or file.

## Method Details

### startWatch

FileWatch startWatch(File target) throws NativeException
Starts watching the specified directory or file.

Caller should call `FileWatch.close()` when finished watching to release any resources.

Note: The current implementation does not notify about changes to files in a directory, only the directory itself. This means events will be received when files are created or deleted in the directory, but not when files in the directory are modified.

Throws:
  `NativeException`